Print Friendly

# Class Ext.state.Manager

Package: | Ext.state
Class: | Manager
Extends: | Object
Defined In: | State.js

This is the global state manager. By default all components that are "state aware" check this class for state information if you don't pass them a custom state provider. In order for this class to be useful, it must be initialized with a provider when your application initializes.

    // in your initialization function
    init : function(){
       Ext.state.Manager.setProvider(new Ext.state.CookieProvider());
       ...
       // supposed you have a Ext.BorderLayout
       var layout = new Ext.BorderLayout(...);
       layout.restoreState();
       // or a {Ext.BasicDialog}
       var dialog = new Ext.BasicDialog(...);
       dialog.restoreState();

This class is a singleton and cannot be created directly.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| clear(`String name`) : void | Manager
Clears a value from the state
| get(`String name`, `Mixed defaultValue`) : Mixed | Manager
Returns the current value for a key
| getProvider() : Provider | Manager
Gets the currently configured state provider
| set(`String name`, `Mixed value`) : void | Manager
Sets the value for a key
| setProvider(`Provider stateProvider`) : void | Manager
Configures the default state provider for your application

## Public Events

This class has no public events.

## Method Details

### clear

`public function clear(`String name`)`
Clears a value from the state
Parameters:

- `name` : String
  The key name

Returns:

- `void`

This method is defined by Manager.

### get

`public function get(`String name`, `Mixed defaultValue`)`
Returns the current value for a key
Parameters:

- `name` : String
  The key name
- `defaultValue` : Mixed
  The default value to return if the key lookup does not match

Returns:

- `Mixed`
  The state data

This method is defined by Manager.

### getProvider

`public function getProvider()`
Gets the currently configured state provider
Parameters:

- None.

Returns:

- `Provider`
  The state provider

This method is defined by Manager.

### set

`public function set(`String name`, `Mixed value`)`
Sets the value for a key
Parameters:

- `name` : String
  The key name
- `value` : Mixed
  The state data

Returns:

- `void`

This method is defined by Manager.

### setProvider

`public function setProvider(`Provider stateProvider`)`
Configures the default state provider for your application
Parameters:

- `stateProvider` : Provider
  The state provider to set

Returns:

- `void`

This method is defined by Manager.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.